Installing Q1 2016 over Q1 2015

2 posts, 0 answers
  1. Erik
    Erik avatar
    314 posts
    Member since:
    Feb 2008

    Posted 24 Feb Link to this post

    Hello,

     

    Today I tried to install Q1 '16. Q1 '15 was installed.

    First I got the message that the installed version was "deprecated". So I de-installed it myself.

    Opening my project reveals 57 errors. The upgrade wizard was nowhere to be found? and in the references list, no OpenAccess or DataAccess could be found. 

    Looking at the forum and doc, you make it sound so easy. Although it never was, but then, at least, it took me 1 hour to fix all references and other issues.

     

    So, should I abandon upgrading?

     

    Erik

  2. Viktor Zhivkov
    Admin
    Viktor Zhivkov avatar
    291 posts

    Posted 26 Feb Link to this post

    Hello Erik,

    Telerik Data Access 2015 Q1 is the last release that includes rich Visual Studio integration and Visual Designer. Here is the official announcement with a bit more details.
    If you update to any version of the product (via Telerik Control panel or any other installer) you will lose the ability to work with .RLINQ models. Our suggested approach is to migrate your code to Code-Only mapping using our NuGet packages (please make sure that you have 2015 Q1 installed before starting the steps outlined in the migration blog post). 
    If you would rather not put extra effort into migrating you are welcome to continue using 2015 Q1 release, but you should make sure not to update your installation. One caveat of working with 2015 Q1 release is that it support Visual Studio up to 2013 version.

    If you have any further questions, or have trouble resuming your development activities, do not hesitate to contact us.

    Regards,
    Viktor Zhivkov
    Telerik
     
    Check out the latest announcement about Telerik Data Access vNext as a powerful framework able to solve core development problems.
  3. DevCraft banner
Back to Top